# Import ist optional, dient aber der Klarstellung
Import-Module grouppolicy

md ad:\"ou=aliens,ou=fbi,dc=ITVSchulung,dc=local" -ea silentlycontinue
md ad:\"ou=directors,ou=fbi,dc=ITVSchulung,dc=local" -ea silentlycontinue
md ad:\"ou=agents,ou=fbi,dc=ITVSchulung,dc=local" -ea silentlycontinue

# Gruppenrichtlinien lschen, falls sie schon existieren
Remove-GPO "GP for FBI Agents" -ea silentlycontinue
Remove-GPO "GP FBI" -ea silentlycontinue
Remove-GPO "GP for FBI Directors" -ea silentlycontinue
Remove-GPO "GP for Aliens" -ea silentlycontinue
Remove-GPO "GP Microsoft Offic" -ea silentlycontinue

# Neue Anlegen
new-gpo -name "GP FBI" -Comment "Standard Policy for all FBI Employees"
new-gpo -name "GP for FBI Directors" -Comment "Standard Policy for all FBI Directors"
new-gpo -name "GP for FBI Agents" -Comment "Standard Policy for all FBI Agents"
new-gpo -name "GP Microsoft Office" -Comment "Office Policy for Agents and Directors"
Copy-GPO -sourcename "GP FBI" -targetname "GP for Aliens"

# Verknpfen
New-GPLink -name  "GP FBI" -target "ou=fbi,dc=ITVSchulung,dc=local" -Linkenabled Yes
New-GPLink -name  "GP for FBI Agents" -target "ou=agents,ou=fbi,dc=ITVSchulung,dc=local" -Linkenabled Yes
New-GPLink -name  "GP Microsoft Office" -target "ou=agents,ou=fbi,dc=ITVSchulung,dc=local" -Linkenabled Yes
New-GPLink -name  "GP Microsoft Office" -target "ou=directors,ou=fbi,dc=ITVSchulung,dc=local" -Linkenabled Yes
New-GPLink -name  "GP for FBI Directors" -target "ou=directors,ou=fbi,dc=ITVSchulung,dc=local" -Linkenabled Yes
New-GPLink -name  "GP for Aliens" -target "ou=aliens,ou=fbi,dc=ITVSchulung,dc=local" -Linkenabled Yes

# Blockieren der Vererbung
Set-GPInheritance -target "ou=agents,ou=fbi,dc=ITVSchulung,dc=local" -isblocked no
Set-GPInheritance -target "ou=aliens,ou=fbi,dc=ITVSchulung,dc=local" -isblocked yes