﻿# (C) Dr. Holger Schwichtenberg, www.IT-Visions.de 2018
# GPO Settings

# =============== Setzen

# User Configuration / Policies
# Screensaver starts after 10 minutes
Set-GPRegistryValue -name "GP FBI" -Key "HKCU\Software\Policies\Microsoft\Windows\Control Panel\Desktop" -ValueName "ScreenSaveTimeOut" -type DWord -Value 0X3C # Angabe in Sekunden als Dezimalzahl oder Hexadezimalzahl (60 = 0X3C) 

# User Configuration / Preferences
Set-GPPrefRegistryValue -name "GP FBI" -Key "HKCU\Software\Policies\Microsoft\Windows\Control Panel\Desktop" -Context user -ValueName "ScreenSaveTimeOut" -type DWord -Value 60 -action Create # sekunden

# =============== Auslesen

$o1 = Get-GPRegistryValue -name "GP FBI" -Key "HKCU\Software\Policies\Microsoft\Windows\Control Panel\Desktop" -ValueName "ScreenSaveTimeOut" 
$o1.value

$o2 = Get-GPPrefRegistryValue -name "GP FBI" -Key "HKCU\Software\Policies\Microsoft\Windows\Control Panel\Desktop" -Context user -ValueName "ScreenSaveTimeOut" 
$o2.value

# =============== Löschen

Remove-GPRegistryValue -name "GP FBI" -Key "HKCU\Software\Policies\Microsoft\Windows\Control Panel\Desktop" -ValueName "ScreenSaveTimeOut"
Remove-GPPrefRegistryValue -name "GP FBI" -Key "HKCU\Software\Policies\Microsoft\Windows\Control Panel\Desktop" -Context user -ValueName "ScreenSaveTimeOut"

# Weitere

$name = "GP FBI"
New-GPO $name

Set-GPRegistryValue -Name $name -key "HKCU\Software\Policies\ITV" -ValueName "Website" -Type string -Value "www.IT-Visions.de"
Set-GPRegistryValue -Name $name -key "HKCU\Software\Policies\ITV" -ValueName "Website2" -Type string -Value "www.IT-Visions.de"
"Wert gesetzt!"
Get-GPRegistryValue -Name $name -key "HKCU\Software\Policies\ITV"

get-gpo $name