﻿
# (C) Dr. Holger Schwichtenberg, www.IT-Visions.de 2018

# Imports sind optional, machen aber klarer, was gebraucht wird
import-module grouppolicy 
import-module activedirectory
 
$ou = ( Get-ADOrganizationalUnit "OU=Mitarbeiter,OU=www.IT-Visions.de,DC=IT-Visions,DC=local" )
$linkedObjects = $ou.LinkedGroupPolicyObjects
[RegEx]$GUID = '[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}'
[Array]$Policies = $guid.matches($linkedObjects).value
$Policies | Foreach-Object { Get-GPO -id $_ } | Format-Table ID, Displayname 


#( Get-ADDomain ).LinkedGroupPolicyObjects